(document:surround "/std/frame")
(document:envelop with-translation _ "alterator-install2")

(define general-next (make-cell #f))
(define general-back (make-cell #f))

(define tcp-next (make-cell #f))
(define tcp-back (make-cell #f))
(define tcp-auto-save (make-cell #f))
(define general-auto-save (make-cell #f))
(define general-auto-load (make-cell #f))

(define has-ifaces (pair? (woo-list-names "/net-eth")))

(define (cell-run cell)
 (let ((cell (cell-ref cell)))
   (and (procedure? cell) (cell))))

(define (cell-list-run . cell-list)
  (any (lambda(x) (let ((value (cell-run x)))
                    (and (eq? value 'cancel) 'cancel)))
       cell-list))

(document:id tabbox-net
	     (tabbox
	       (when selected (if (= (tabbox-net current) 1)
				(begin (cell-run tcp-auto-save)
				       ;		         (cell-run general-auto-save)
				       (cell-run general-auto-load))))
	       (and has-ifaces
		    (tab (_ "IP interfaces")
			 (document:id net-tcp
				      (document:subdocument '/net-eth
							    'frame:next tcp-next
							    'frame:back tcp-back
							    'frame:auto-save tcp-auto-save))))

	       (tab (_ "General Network Settings")
		    (document:id net-general
				 (document:subdocument '/net-general
						       'frame:next general-next
						       'frame:back general-back
						       'frame:auto-save general-auto-save
						       'frame:auto-load general-auto-load)))))

(document:root (when loaded (net-general loaded) (net-tcp loaded)  ))

(define (network-next)
 (if has-ifaces
     (cell-list-run general-next tcp-next)
     (cell-list-run general-next)))

(frame:on-next network-next)
(frame:on-back network-next)
