(document:surround "/std/frame")
(document:envelop with-translation _ "alterator-install2")


(document:envelop with-attributes
                  (password1 password2))

(document:envelop with-container-presentations
                  ((password-box '/users/passwd)))

(define (write-root)
  (woo-catch/message
   (thunk
    (let ((passwd1 (pbox password1))
          (passwd2 (pbox password2)))
      (and (string-null? passwd1)
           (string-null? passwd2)
           (woo-throw (_ "You should define a password for system administrator")))
      (woo-write/constraints "/users/root" 'passwd1 passwd1 'passwd2 passwd2)
      (woo-write "/autoinstall/users/root" 'passwd1 passwd1 'passwd2 passwd2)))))

;;;;;;;;;;;;;

(hbox
	(spacer)
	(groupbox (_ "Setup password for system administrator")
		max-width 350
		max-height 120
		(document:id pbox (password-box)))
	(spacer))

(frame:on-next (thunk (or (write-root) 'cancel)))
(document:root (when loaded (frame:back-activity #f)))
