(document:surround "/std/frame")
(document:envelop with-translation _ "alterator-install2")


(document:envelop with-attributes
                  (password1 password2))

(document:envelop with-container-presentations
                  ((password-box '/users/passwd)))

(define (write-user)
  (woo-catch/message
   (thunk
    (let ((passwd1 (pbox password1))
          (passwd2 (pbox password2))
          (name (name text)))
      (and (string-null? name)
           (woo-throw (_ "You should define a system user")))
      (woo-new/constraints "/users"
			    'name name
			    'allow_su #t
			    'passwd1 passwd1
			    'passwd2 passwd2)

      (woo-new "/autoinstall/users"
			    'name name
			    'allow_su #t
			    'passwd1 passwd1
			    'passwd2 passwd2)))))

;;;;;;;;;;;;;;;;;;;;;;;;;

(hbox
	(spacer)
	(groupbox (_ "Create system user")
		max-width 350
		max-height 170
		(hbox (label (_ "Account name:")) (document:id name (edit "")))
		(groupbox (_ "Password") (document:id pbox (password-box))))
	(spacer))

(frame:on-next (thunk (or (write-user) 'cancel)))
